Debian Bug report logs - #677852
prelude-lml: FTBFS[kfreebsd]: testsuite failure

version graph

Package: src:prelude-lml; Maintainer for src:prelude-lml is Pierre Chifflier <pollux@debian.org>;

Reported by: debian-bsd@lists.debian.org

Date: Sun, 17 Jun 2012 09:42:39 UTC

Severity: serious

Tags: sid, wheezy

Found in version prelude-lml/1.0.0-3

Fixed in version prelude-lml/1.0.0-4

Done: Pierre Chifflier <pollux@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Pierre Chifflier <pollux@debian.org>:
Bug#677852; Package src:prelude-lml. (Sun, 17 Jun 2012 09:42:43 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Pierre Chifflier <pollux@debian.org>. (Sun, 17 Jun 2012 09:42:47 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: prelude-lml: FTBFS[kfreebsd]: testsuite failure
Date: Sun, 17 Jun 2012 11:42:05 +0200
Package: src:prelude-lml
Version: 1.0.0-3
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

make  check-TESTS
make[7]: Entering directory `/build/buildd-prelude-lml_1.0.0-3-kfreebsd-amd64-JjczVc/prelude-lml-1.0.0/libmissing/tests'
PASS: test-alignof
PASS: test-alloca-opt
PASS: test-arpa_inet
PASS: test-binary-io.sh
PASS: test-c-ctype
PASS: test-c-strcase.sh
PASS: test-dirent
PASS: test-errno
PASS: test-fnmatch
PASS: test-frexp-nolibm
PASS: test-frexpl-nolibm
PASS: test-fseeko.sh
PASS: test-fseeko2.sh
PASS: test-ftello.sh
PASS: test-ftello2.sh
PASS: test-getaddrinfo
test-getlogin_r.c:55: assertion failed
/bin/bash: line 5: 20819 Aborted                 EXEEXT='' srcdir='.' LOCALE_FR='none' LOCALE_TR_UTF8='none' LOCALE_FR='none' LOCALE_FR_UTF8='none' LOCALE_JA='none' LOCALE_ZH_CN='none' LOCALE_FR_UTF8='none' LOCALE_FR='none' LOCALE_FR_UTF8='none' LOCALE_JA='none' LOCALE_ZH_CN='none' LOCALE_FR='none' LOCALE_FR_UTF8='none' ${dir}$tst
FAIL: test-getlogin_r
PASS: test-glob
PASS: test-iconv
PASS: test-inet_ntop
PASS: test-inttypes
PASS: test-isnand-nolibm
PASS: test-isnanf-nolibm
PASS: test-isnanl-nolibm
PASS: test-langinfo
PASS: test-lseek.sh
PASS: test-math
Skipping test: no traditional french locale is installed
SKIP: test-mbrtowc1.sh
Skipping test: no french Unicode locale is installed
SKIP: test-mbrtowc2.sh
Skipping test: no traditional japanese locale is installed
SKIP: test-mbrtowc3.sh
Skipping test: no transitional chinese locale is installed
SKIP: test-mbrtowc4.sh
Skipping test: no french Unicode locale is installed
SKIP: test-mbsinit.sh
Skipping test: no traditional french locale is installed
SKIP: test-mbsrtowcs1.sh
Skipping test: no french Unicode locale is installed
SKIP: test-mbsrtowcs2.sh
Skipping test: no traditional japanese locale is installed
SKIP: test-mbsrtowcs3.sh
Skipping test: no transitional chinese locale is installed
SKIP: test-mbsrtowcs4.sh
PASS: test-memchr
PASS: test-netdb
PASS: test-netinet_in
PASS: test-nl_langinfo.sh
PASS: test-printf-frexp
PASS: test-printf-frexpl
PASS: test-sigaction
PASS: test-signal
PASS: test-signbit
PASS: test-sleep
PASS: test-snprintf-posix
PASS: test-snprintf
PASS: test-snprintf
PASS: test-sockets
PASS: test-stdbool
PASS: test-stddef
PASS: test-stdint
PASS: test-stdio
PASS: test-stdlib
PASS: test-strerror
PASS: test-string
PASS: test-strings
PASS: test-sys_ioctl
PASS: test-sys_select
PASS: test-sys_socket
PASS: test-sys_stat
PASS: test-sys_time
PASS: test-time
PASS: test-unistd
PASS: test-vasnprintf
PASS: test-wchar
PASS: test-wctype
======================
1 of 59 tests failed
(9 tests were not run)
======================
make[7]: *** [check-TESTS] Error 1

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=prelude-lml&arch=kfreebsd-amd64&ver=1.0.0-3&stamp=1339861437

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Reply sent to Pierre Chifflier <pollux@debian.org>:
You have taken responsibility. (Mon, 18 Jun 2012 19:51:10 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Mon, 18 Jun 2012 19:51:10 GMT) Full text and rfc822 format available.

Message #10 received at 677852-close@bugs.debian.org (full text, mbox):

From: Pierre Chifflier <pollux@debian.org>
To: 677852-close@bugs.debian.org
Subject: Bug#677852: fixed in prelude-lml 1.0.0-4
Date: Mon, 18 Jun 2012 19:48:54 +0000
Source: prelude-lml
Source-Version: 1.0.0-4

We believe that the bug you reported is fixed in the latest version of
prelude-lml, which is due to be installed in the Debian FTP archive:

prelude-lml_1.0.0-4.debian.tar.gz
  to main/p/prelude-lml/prelude-lml_1.0.0-4.debian.tar.gz
prelude-lml_1.0.0-4.dsc
  to main/p/prelude-lml/prelude-lml_1.0.0-4.dsc
prelude-lml_1.0.0-4_amd64.deb
  to main/p/prelude-lml/prelude-lml_1.0.0-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 677852@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Pierre Chifflier <pollux@debian.org> (supplier of updated prelude-lml package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 18 Jun 2012 21:30:19 +0200
Source: prelude-lml
Binary: prelude-lml
Architecture: source amd64
Version: 1.0.0-4
Distribution: unstable
Urgency: high
Maintainer: Pierre Chifflier <pollux@debian.org>
Changed-By: Pierre Chifflier <pollux@debian.org>
Description: 
 prelude-lml - Security Information Management System [ Log Agent ]
Closes: 677852
Changes: 
 prelude-lml (1.0.0-4) unstable; urgency=high
 .
   * Disable tests to avoid build failure on on kFreeBSD (Closes: #677852)
   * Urgency high, RC bug
Checksums-Sha1: 
 2149c830c7ed0c1efc3b45499bcdc50bd0133e50 1835 prelude-lml_1.0.0-4.dsc
 a9d16d71ff39d72b3425554e6de9194d58fd5ec7 6233 prelude-lml_1.0.0-4.debian.tar.gz
 1ad78bc13b2f314c1b0dfe33516fbeff3c03f441 271272 prelude-lml_1.0.0-4_amd64.deb
Checksums-Sha256: 
 8d4e8f948bccecef1d8aebc6770c59ecf38d8676a1a6d6f0c3be1dc2c83309b7 1835 prelude-lml_1.0.0-4.dsc
 d180f112b6a015bab9d8a9b9d498d7f7d501f984ef5de104f478497a049ac3a7 6233 prelude-lml_1.0.0-4.debian.tar.gz
 4beaa2c73321aa744d212ce6c6e497d20af6315ee410e508518312dacd92b8e8 271272 prelude-lml_1.0.0-4_amd64.deb
Files: 
 fc32cf54c2cb2597c3ff89ef958c660f 1835 admin extra prelude-lml_1.0.0-4.dsc
 9b4920453e0b41d4c8c55f7c53d75f48 6233 admin extra prelude-lml_1.0.0-4.debian.tar.gz
 e0a3493f4caa0dd08745c64e7505bc78 271272 admin extra prelude-lml_1.0.0-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJP34J6AAoJEMYaZNzxOTmYv8kP/0zIf0JAUVI44bFmKhwmeXIP
WZFkKpSCIM3Gf/ZgypQXSXHKvnPY50mffkUYCBwRUPbaWmeUGDB5wsNJUTky2WQN
NmPzhuWKGc8jAHamya2UBbLU84ta3+J1j9gnTI5eengwrZOM9qZU3h3YNrrqxI/d
SV5+a3nnHqbathdtYZ2L5NlSTbsrhRLXJi0bVGjybMDQShOvbYTOy+WFmYRldbwp
9cm1FPMiCJ+Y7Vk04cRyYqNiRt7bTnwgxFq69CdkhiqbNPRHxS8tUmR6CVtxEyXx
hXb6SK0OwRHSCKnXXZQssJmRljwy6+FFyLVj0cODDiU6vt457UKQzH4x0nDjePHh
pzZR9UTPewHbHGORmS15uRseycjeH9oI1ve6oIaeLPl/38OCVEIjxMLvX4B9/E23
7lkIylE8oxp7SAxnCJNRxlh7/asCeWxcZ0s1068c0lBTt6WKRN6ue2jkHiq5G9fQ
9mRvXYmuXr/YrV6yF1dvMunk51ErsSOZcoMVjTrPbfOofxU20jXNHdJo2JGbrTP3
ZZVdmMDUMZd1nPCLdlBg6jf3RFtk/tKWpSu/WSxQe5xLfTE02u5VMAgv28hdOFBi
3zdyQS8Vp/Dmq5SHo5/ZoFXu7/ITU7qdIUZd+kZDU0/Kap9k6ptQz+3KkAiVUheu
RMU/lY+Bz/kUyLNhT+pA
=tdlv
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 19 Jul 2012 07:30:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:42:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.